| Derived from | CFType |
| Framework | ApplicationServices/CoreText |
| Declared in | CTFramesetter.h |
The CTFramesetter opaque type is used to generate text frames. That is, CTFramesetter is an object factory for CTFrame objects.
The framesetter takes an attributed string object and a shape descriptor object and calls into the typesetter to create line objects that fill that shape. The output is a frame object containing an array of lines. The frame can then draw itself directly into the current graphic context.
Creates an immutable frame using a framesetter.
CTFrameRef CTFramesetterCreateFrame( CTFramesetterRef framesetter, CFRange stringRange, CGPathRef path, CFDictionaryRef frameAttributes );
The framesetter used to create the frame.
The range, of the attributed string that was used to create the framesetter, that is to be typeset in lines fitted into the frame. If the length portion of the range is set to 0, then the framesetter continues to add lines until it runs out of text or space.
A CGPath object that specifies the shape of the frame.
Additional attributes that control the frame filling process can be specified here, or NULL if there are no such attributes.
A reference to a new CTFrame object if the call was successful; otherwise, NULL.
This call creates a frame full of glyphs in the shape of the path provided by the path parameter. The framesetter continues to fill the frame until it either runs out of text or it finds that text no longer fits.
CTFramesetter.hCreates an immutable framesetter object from an attributed string.
CTFramesetterRef CTFramesetterCreateWithAttributedString( CFAttributedStringRef string );
The attributed string with which to construct the framesetter object.
A reference to a CTFramesetter object if the call was successful; otherwise, NULL.
The resultant framesetter object can be used to create and fill text frames with the CTFramesetterCreateFrame call.
CTFramesetter.hReturns the Core Foundation type identifier of the framesetter object.
CFTypeID CTFramesetterGetTypeID( void );
CTFramesetter.hReturns the typesetter object being used by the framesetter.
CTTypesetterRef CTFramesetterGetTypesetter( CTFramesetterRef framesetter );
The framesetter from which a typesetter is requested.
A reference to a CTTypesetter object if the call was successful; otherwise, NULL. The framesetter maintains a reference to the returned object, which should not be released by the caller.
Each framesetter uses a typesetter internally to perform line breaking and other contextual analysis based on the characters in a string; this function returns the typesetter being used by a particular framesetter in case the caller would like to perform other operations on that typesetter.
CTFramesetter.hA reference to a Core Foundation framesetter object.
typedef const struct __CTFramesetter *CTFramesetterRef;
CTFramesetter.h
Last updated: 2007-04-21